import http from '@/utils/request'

export function getCYCashCardInfo (condValue = '900000000000000') {
  return http.post('/valuecard/getCYCashCardInfo', {
    cardCodeToCheck: '',
    condType: 2,
    condValue,
    password: '',
    storeCode: '',
    verifyCode: ''
  })
}

export function createValueCardOrder (params) {
  return http.post('/valuecard/createOrder', params)
}

export function cancelValueCardOrder (params) {
  return http.post('/valuecard/cancelOrder', params)
}

export function cancelValueCardSingleTicket (params) {
  return http.post('/valuecard/cancelSingleTicket', params)
}

export function cancelValueCardCheckedTicket (params) {
  return http.post('/valuecard/cancelCheckedTicket', params)
}

export function valueCardMemberStorageSell (params) {
  return http.post('/valuecard/memberStorageSell', params)
}

export function valuecardCreateMember (params) {
  return http.post('/valuecard/createMember', params)
}

export function shutMemberMoney (params) {
  return http.post('/valuecard/shutMemberMoney', params)
}
